System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Web.IHttpModule

The sets the current property to an object that represents the user identity for the current request when the authentication is set to in the authentication element of the application's configuration file.

The exposes an event that enables you to provide a custom object for the property of the current . The event is accessed by specifying a subroutine named FormsAuthentication_OnAuthenticate in the Global.asax file for your ASP.NET application.

In IIS 7.0, using the with the is not supported. For more information about compatibility issues in Integrated modes, see Moving an ASP.NET Application from IIS 6.0 to IIS 7.0.

Sets the identity of the user for an ASP.NET application when forms authentication is enabled. This class cannot be inherited.

- Constructor

  This constructor is not intended to be called from application code.

  ASP.NET calls this constructor to create an instance of the class. After calling the constructor, it calls the method to initialize the new object.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Event
  System.Web.Security.FormsAuthenticationEventHandler

  The event is raised during the event.

  You can handle the event of the class by specifying a subroutine named FormsAuthentication_OnAuthenticate in the Global.asax file for your ASP.NET application.

  You can use the property supplied to the FormsAuthentication_OnAuthenticate event to set the property of the current to a custom object. If you do not specify a value for the property during the FormsAuthentication_OnAuthenticate event, the identity supplied by the forms authentication ticket in the cookie or URL is used.

  The FormsAuthentication_OnAuthenticate event is only raised when the authentication mode is set to in the authentication element of the application's configuration file and the is an active HTTP module for the application.

  Occurs when the application authenticates the current request.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  This method is not intended to be called from application code.

  Releases all resources, other than memory, used by the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is not intended to be called from application code.

  The method ensures that the is included in the processing of the and events.

  Initializes the object.

  The current instance. 1.0.5000.0 2.0.0.0